import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 17.08.2008
  * @author Daniel Garmann
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private JLabel jLabel1 = new JLabel();
  private JTextField jTextFieldN = new JTextField();
  private JButton jButton1 = new JButton();
  private String[] jList1Data = {};
  private JScrollPane jScrollPane1 = new JScrollPane();
    private JTextArea jtaLoesungen = new JTextArea("");
  // Ende Attribute

  public Gui(String title) {
    // Frame-Initialisierung
    super (title);
    setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    int frameWidth = 326;
    int frameHeight = 383;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jLabel1.setBounds(32, 24, 180, 16);
    jLabel1.setText("Gre des Schachbretts:");
    jLabel1.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel1);
    jTextFieldN.setBounds(216, 16, 57, 24);
    jTextFieldN.setText("8");
    cp.add(jTextFieldN);
    jButton1.setBounds(40, 48, 225, 25);
    jButton1.setText("Starte Lsungssuche");
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    jScrollPane1.setBounds(32, 80, 257, 241);
    cp.add(jScrollPane1);
    jtaLoesungen.setText("\n");
    jtaLoesungen.setBounds(-2, -2, 233, 241);
    jScrollPane1.setViewportView(jtaLoesungen);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  public void jButton1_ActionPerformed(ActionEvent evt) {
    // Start der Berechnungen
    Damen damen = new Damen(Integer.parseInt(jTextFieldN.getText()));
    String s = damen.startDame();
    jtaLoesungen.setText(s);
    jtaLoesungen.setSelectionStart(0);
    jtaLoesungen.setSelectionEnd(0);
  }

  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Gui");
  }
}
